using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApp1.transToNet
{
    interface Messiah
    {
        public abstract string RequestJsonPrivateBaiDu(string input, string srcl, string dstl, string aid, string kkey);

        public abstract string RequestJsonLanguageChangeBaiDu(string input, string srcl, string dstl);

        public abstract string RequestJsonBaiDu(string input);


        //以下接口暂时废弃
        public abstract string RequestJsonXunFei(string input);
        public abstract string RequestJsonPrivateXunFei(string input, string srcl, string dstl, string xid, string xsecret, string xkey);
        public abstract string RequestJsonLanguageChangeXunFei(string input, string srcl, string dstl);
    }

    /*
    interface GrapeToJson
    {
        public abstract List<string> GrapeRequestJson();

        public abstract List<string> GrapeRequestJsonLanguageChange();

        public abstract List<string> GrapeRequestJsonBaiDu();

    }
    */
}
